Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.config.solver.termination
Class TerminationConfig

    java.lang.Object
      org.optaplanner.core.config.solver.termination.TerminationConfig

All Implemented Interfaces:
  Cloneable

    public class TerminationConfig

extends Object
implements Cloneable

Constructor Summary
`TerminationConfig()`

Method Summary
`Termination` | `buildTermination(HeuristicConfigPolicy configPolicy)`
`Termination` | `buildTermination(HeuristicConfigPolicy configPolicy, Termination chainedTermination)`
`Long` | `calculateTimeMillisSpentLimit()`
`Long` | `calculateUnimprovedTimeMillisSpentLimit()`
`TerminationConfig` | `clone()`
`Boolean` | `getBestScoreFeasible()`
`String` | `getBestScoreLimit()`
`Long` | `getHoursSpentLimit()`
`Long` | `getMillisecondsSpentLimit()`
`Long` | `getMinutesSpentLimit()`
`Long` | `getSecondsSpentLimit()`
`Integer` | `getStepCountLimit()`
`Class<? extends Termination>` | `getTerminationClass()`
`TerminationCompositionStyle` | `getTerminationCompositionStyle()`
`List<TerminationConfig>` | `getTerminationConfigList()`
`Long` | `getUnimprovedHoursSpentLimit()`
`Long` | `getUnimprovedMillisecondsSpentLimit()`
`Long` | `getUnimprovedMinutesSpentLimit()`
`Long` | `getUnimprovedSecondsSpentLimit()`
`Integer` | `getUnimprovedStepCountLimit()`
`void` | `inherit(TerminationConfig inheritedConfig)`
`void` | `setBestScoreFeasible(Boolean bestScoreFeasible)`
`void` | `setBestScoreLimit(String bestScoreLimit)`
`void` | `setHoursSpentLimit(Long hoursSpentLimit)`
`void` | `setMillisecondsSpentLimit(Long millisecondsSpentLimit)`
`void` | `setMinutesSpentLimit(Long minutesSpentLimit)`
`void` | `setSecondsSpentLimit(Long secondsSpentLimit)`
`void` | `setStepCountLimit(Integer stepCountLimit)`
`void` | `setTerminationClass(Class<? extends Termination> terminationClass)`
`void` | `setTerminationCompositionStyle(TerminationCompositionStyle terminationCompositionStyle)`
`void` | `setTerminationConfigList(List<TerminationConfig> terminationConfigList)`
`void` | `setUnimprovedHoursSpentLimit(Long unimprovedHoursSpentLimit)`
`void` | `setUnimprovedMillisecondsSpentLimit(Long unimprovedMillisecondsSpentLimit)`
`void` | `setUnimprovedMinutesSpentLimit(Long unimprovedMinutesSpentLimit)`
`void` | `setUnimprovedSecondsSpentLimit(Long unimprovedSecondsSpentLimit)`
`void` | `setUnimprovedStepCountLimit(Integer unimprovedStepCountLimit)`
`void` | `shortenTimeMillisSpentLimit(long timeMillisSpentLimit)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TerminationConfig

    public TerminationConfig()

Method Detail

### getTerminationClass

    public Class<? extends Termination> getTerminationClass()

### setTerminationClass

    public void setTerminationClass(Class<? extends Termination> terminationClass)

### getTerminationCompositionStyle

    public TerminationCompositionStyle getTerminationCompositionStyle()

### setTerminationCompositionStyle

    public void setTerminationCompositionStyle(TerminationCompositionStyle terminationCompositionStyle)

### getMillisecondsSpentLimit

    public Long getMillisecondsSpentLimit()

### setMillisecondsSpentLimit

    public void setMillisecondsSpentLimit(Long millisecondsSpentLimit)

### getSecondsSpentLimit

    public Long getSecondsSpentLimit()

### setSecondsSpentLimit

    public void setSecondsSpentLimit(Long secondsSpentLimit)

### getMinutesSpentLimit

    public Long getMinutesSpentLimit()

### setMinutesSpentLimit

    public void setMinutesSpentLimit(Long minutesSpentLimit)

### getHoursSpentLimit

    public Long getHoursSpentLimit()

### setHoursSpentLimit

    public void setHoursSpentLimit(Long hoursSpentLimit)

### getUnimprovedMillisecondsSpentLimit

    public Long getUnimprovedMillisecondsSpentLimit()

### setUnimprovedMillisecondsSpentLimit

    public void setUnimprovedMillisecondsSpentLimit(Long unimprovedMillisecondsSpentLimit)

### getUnimprovedSecondsSpentLimit

    public Long getUnimprovedSecondsSpentLimit()

### setUnimprovedSecondsSpentLimit

    public void setUnimprovedSecondsSpentLimit(Long unimprovedSecondsSpentLimit)

### getUnimprovedMinutesSpentLimit

    public Long getUnimprovedMinutesSpentLimit()

### setUnimprovedMinutesSpentLimit

    public void setUnimprovedMinutesSpentLimit(Long unimprovedMinutesSpentLimit)

### getUnimprovedHoursSpentLimit

    public Long getUnimprovedHoursSpentLimit()

### setUnimprovedHoursSpentLimit

    public void setUnimprovedHoursSpentLimit(Long unimprovedHoursSpentLimit)

### getBestScoreLimit

    public String getBestScoreLimit()

### setBestScoreLimit

    public void setBestScoreLimit(String bestScoreLimit)

### getBestScoreFeasible

    public Boolean getBestScoreFeasible()

### setBestScoreFeasible

    public void setBestScoreFeasible(Boolean bestScoreFeasible)

### getStepCountLimit

    public Integer getStepCountLimit()

### setStepCountLimit

    public void setStepCountLimit(Integer stepCountLimit)

### getUnimprovedStepCountLimit

    public Integer getUnimprovedStepCountLimit()

### setUnimprovedStepCountLimit

    public void setUnimprovedStepCountLimit(Integer unimprovedStepCountLimit)

### getTerminationConfigList

    public List<TerminationConfig> getTerminationConfigList()

### setTerminationConfigList

    public void setTerminationConfigList(List<TerminationConfig> terminationConfigList)

### buildTermination

    public Termination buildTermination(HeuristicConfigPolicy configPolicy,
                                        Termination chainedTermination)

### buildTermination

    public Termination buildTermination(HeuristicConfigPolicy configPolicy)

  Parameters:
    `configPolicy` - never null
  Returns:
    sometimes null

### calculateTimeMillisSpentLimit

    public Long calculateTimeMillisSpentLimit()

### shortenTimeMillisSpentLimit

    public void shortenTimeMillisSpentLimit(long timeMillisSpentLimit)

### calculateUnimprovedTimeMillisSpentLimit

    public Long calculateUnimprovedTimeMillisSpentLimit()

### inherit

    public void inherit(TerminationConfig inheritedConfig)

### clone

    public TerminationConfig clone()

  Overrides:
    `clone` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.